Bug 1333826 - python-rfc3986: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-rfc3986: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rfc3986
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: hguemar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:29 UTC by Tomas Orsava
Modified: 2016-06-23 20:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-23 20:46:59 UTC
dkrejci: needinfo? (apevec)


Attachments (Terms of Use)
add Python 3 & update version patch for specfile (2.85 KB, patch)
2016-06-14 12:03 UTC, Dominika Krejčí
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:29:27 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-06-14 12:03:36 UTC
Created attachment 1167848 [details]
add Python 3 & update version patch for specfile

Hi Alan,
here is the change needed to add Python 3 support and update to the latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14472827

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).

Comment 2 hguemar 2016-06-23 17:16:32 UTC
I'll take care of that.

Comment 3 hguemar 2016-06-23 20:46:59 UTC
Already fixed by jpena in rawhide.


Note You need to log in before you can comment on or make changes to this bug.